> ## Documentation Index
> Fetch the complete documentation index at: https://developers.loyaltylion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sites

Return a list of sites that belong to the authenticating program. This endpoint
cannot be called using legacy token & secret authentication.

For multi-site programs, a list of all sites within the program will be returned,
in order of creation (newest first). For single-site programs, a list with a single site will be returned.

Any of the returned `sites[].id` fields can be used to interact with the [Headless
API](/headless-api/introduction).


## OpenAPI

````yaml /api-reference/v2/openapi.json GET /v2/sites
openapi: 3.1.1
info:
  title: LoyaltyLion Admin API
  version: v2
servers:
  - url: https://api.loyaltylion.com
security: []
tags:
  - name: identity
  - name: activities
  - name: orders
  - name: transactions
  - name: customers
  - name: webhooks
  - name: emails
  - name: sites
  - name: reviews
  - name: rewards
  - name: integrations
  - name: gatsby
paths:
  /v2/sites:
    get:
      tags:
        - sites
      operationId: sites.listSites
      parameters: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SitesListSitesResponseBody'
        '400':
          $ref: '#/components/responses/ClientErrorBadRequest'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: string
                    required:
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: string
                    required:
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - ProgramApiKey: []
components:
  schemas:
    SitesListSitesResponseBody:
      type: object
      properties:
        sites:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              program_id:
                description: ID of the program to which this site belongs
                type: number
              account_id:
                description: ID of the account to which this site belongs
                type: number
              name:
                description: Name of the site, or `null` if still being set up
                example: Luna's Bubble Tea Superstore
                type:
                  - string
                  - 'null'
              url:
                description: URL of the site, or `null` if still being set up
                example: https://bubbles.example.com
                type:
                  - string
                  - 'null'
              platform:
                example: shopify
                type: string
                enum:
                  - bigcommerce
                  - custom
                  - magento
                  - magento2
                  - shopify
              currencies:
                description: A list of currency codes supported by this site
                example:
                  - usd
                type: array
                items:
                  type: string
              languages:
                description: A list of language codes supported by this site
                example:
                  - en
                  - en-gb
                  - fr
                type: array
                items:
                  type: string
              created_at:
                description: ISO 8601 timestamp representing when the site was created
                example: '2025-03-03T00:00:00.000Z'
                type: string
              updated_at:
                description: ISO 8601 timestamp representing when the site was last updated
                example: '2026-03-01T12:00:00.000Z'
                type: string
            required:
              - id
              - program_id
              - account_id
              - name
              - url
              - platform
              - currencies
              - languages
              - created_at
              - updated_at
            additionalProperties: false
      required:
        - sites
      additionalProperties: false
  responses:
    ClientErrorBadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties:
                      type: string
                required:
                  - message
            required:
              - error
  securitySchemes:
    ProgramApiKey:
      type: http
      scheme: bearer
      description: >-
        An API key linked to a Program in LoyaltyLion, with a set of permissions
        (scopes). API keys can be created manually, or acquired through an
        OAuth2 flow. The API key should be provided as a `Bearer` token in the
        `Authorization` header

````